# Notebook.create\_output\_table

### Notebook.<mark style="color:purple;">create\_output\_table</mark>(*data, \*, name=None, append=False, geography\_variables=None*) → [Table](/api/client-libraries/redivis-python/reference/table.md)

Create an output table from within a running notebook. Pass various data structures or reference an existing file on disk.

### **Parameters:**

**`data` :&#x20;*****str | pandas.DataFrame | pyarrow\.Dataset | pyarrow\.Table | dask.DataFrame | polars.DataFrame | polars.LazyFrame | geopandas.GeoDataFrame*** \
The data content to pass to the output table. If a string, assumed to be the path to a file, which must end in one of: `.parquet` , `.csv`, `.sas7bdat`, `.dta`. Otherwise, the provided data object is converted to parquet and uploaded to the output table.

**`name`:&#x20;*****str, default None***\
The name of the output table. If not specified, will be automatically set based on the name of the notebook.

**`append`:&#x20;*****bool, default False***\
&#x20;If set to True, the data contents will be appended to the output table. Otherwise, the output table will be replaced with the contents (the default behavior).

**`geography_variables`:&#x20;*****list, default*** ***None***\
A list of variables that should be interpreted as the geography type. Will be automatically inferred when passing a geopandas.GeoDataFrame or parquet file (implementing the geoparquet specification) via the `data` parameter.

### Returns

[**Table**](/api/client-libraries/redivis-python/reference/table.md)

### Examples

```python
df = get_dataframe_somehow()

notebook = redivis.current_notebook()

# Create an output table on the current notebook
# Optional parameter, append (default False), determines whether the output appends to
#  or replaces the output table.
notebook.create_output_table(df, append=False) 

# Can also pass a path to a parquet file
notebook.create_output_table("path/to/file.parquet")
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/notebook/notebook.create_output_table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
